package model

// SupplyInfo 画作信息补充
type SupplyInfo struct {
	Model
	ID          uint   `gorm:"not null"`
	ArtworkId   string `gorm:"type:varchar(256) default ''"`
	ArtistId    string `gorm:"type:varchar(256) default ''"`
	UserId      uint   `gorm:" not null"`
	Name        string `gorm:"type:varchar(256) default ''"`
	ModelYear   string `gorm:"type:varchar(256) default ''"`
	Photo       string `gorm:"type:varchar(2048) default ''"`
	ArtistPhoto string `gorm:"type:varchar(2048) default ''"`
	Width       uint   `gorm:"default:0"`
	Height      uint   `gorm:"default:0"`
	Ruler       uint   `gorm:"default:0"`
	ExhibitInfo string `gorm:"type:varchar(1024) default ''"`
	ExhibitPic1 string `gorm:"type:varchar(1024) default ''"`
	ExhibitPic2 string `gorm:"type:varchar(1024) default ''"`

	CreateTime    string `gorm:"type:varchar(20) default ''"`
	Introduct     string `gorm:"type:varchar(2048) default ''"`
	NetworkTrace  bool   `gorm:"default:false"`
	CreateAddress string `gorm:"type:varchar(256) not null" json:"createAddress"`
	Url           string `gorm:"type:varchar(1024) default ''"`
	State         string `gorm:"type:varchar(25) default ''"`
	Remark        string `gorm:"type:varchar(1024) default ''" json:"remark"`
	Remark2       string `gorm:"type:varchar(1024) default ''" json:"remark2"`

	Enable bool `gorm:"default:false"`
}
